@echo off

FOR /F "usebackq tokens=2,* skip=2" %%L IN (
    `reg query "HKCU\SOFTWARE\Digital Paint\Paintball2" /v INSTDIR`
) DO SET pb2dir=%%M

IF NOT EXIST %pb2dir%\pball\maps\inprogress mkdir %pb2dir%\pball\maps\inprogress

copy %1.bsp %pb2dir%\pball\maps\inprogress
cd /d %pb2dir%

@echo Compile finished.  Ready to launch the game with your map (assuming there were no errors).
pause
paintball2 +map inprogress/%1